<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cart</title>
    <link rel="stylesheet" href="/css/bootstrap.min.css">
    <script src="/js/jquery-3.7.1.min.js"></script>


    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/fontawesome.min.css"
        integrity="sha512-UuQ/zJlbMVAw/UU8vVBhnI4op+/tFOpQZVT+FormmIEhRSCnJWyHiBbEVgM4Uztsht41f3FzVWgLuwzUqOObKw=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/solid.min.css"
        integrity="sha512-Hp+WwK4QdKZk9/W0ViDvLunYjFrGJmNDt6sCflZNkjgvNq9mY+0tMbd6tWMiAlcf1OQyqL4gn2rYp7UsfssZPA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/brands.min.css"
        integrity="sha512-DJLNx+VLY4aEiEQFjiawXaiceujj5GA7lIY8CHCIGQCBPfsEG0nGz1edb4Jvw1LR7q031zS5PpPqFuPA8ihlRA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />

    <style>
        .baner {
            height: 200px;
            background-color: rgb(200 208 215);
        }

        tfoot {
            border: none;
        }

        tfoot th,
        tfoot td {
            border: none;
        }

        .toast-container {
            position: fixed;
            top: 20px;
            left: 50%;
            transform: translateX(-50%);
            z-index: 1055;
        }
    </style>
</head>

<body>

    <div class="container">
        <div class="col-12">
            <div class="row  baner">
                <div class="col-4 d-flex align-items-center justify-content-center">
                    <div class="row">
                        <h1>Cart</h1>
                        <p>All the selected products in your cart</p>
                    </div>
                </div>
                <div class="col-4 text-end">
                </div>
            </div>
        </div>
        <div class="container">
            <table class="table mt-5">
                <thead>
                    <tr>
                        <th scope="col">
                            <button id="clear-cart" class="btn btn-danger">
                                <i class="fa-sharp fa-regular fa-circle-xmark"></i> Clear cart
                            </button>
                        </th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th scope="col" class="text-end">
                            <div class="d-flex justify-content-end">
                                <button id="cartCheckOut" class="btn btn-success">
                                    <i class="fa-solid fa-cart-shopping fa-flip-horizontal"></i> Check out
                                </button>
                            </div>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <th scope="col">Product</th>
                        <th scope="col">Quantity</th>
                        <th scope="col">Unit price</th>
                        <th scope="col">Price</th>
                        <th scope="col">Action</th>
                    </tr>
                </tbody>
                <tbody id="cart-container">

                </tbody>
                <tfoot>
                    <tr>
                        <td></td>
                        <td></td>
                        <th>Grand Total</th>
                        <th id="totalCart"></th>
                        <td></td>
                    </tr>
                </tfoot>
            </table>
            <div>
                <a href="/" class="col btn btn-success m-2 p-2">
                    <i class="fa-regular fa-circle-arrow-left"></i> Continue Shopping
                </a>
            </div>
        </div>


        <!-- Flexbox container for aligning the toasts -->
        <div aria-live="polite" aria-atomic="true" class="toast-container">

            <!-- Then put toasts within -->
            <div class="toast" id="myToast" role="alert" aria-live="assertive" aria-atomic="true"
                data-bs-autohide="true" data-bs-delay="3000">
                <div class="toast-body">
                </div>
            </div>
        </div>

    </div>
    <script src="/js/bootstrap.bundle.min.js"></script>
    <script src="/js/cart.js"></script>
    <script>

        $('#clear-cart').click(function () {
            localStorage.removeItem('cart');
            displayCart();
        });

        $('#cartCheckOut').click(function (e) {
            var listProduct = localStorage.getItem('cart');
            var cartDTO =

                $.ajax({
                    type: "post",
                    url: "/cart/api/checkout",
                    data: listProduct,
                    contentType: "application/json", // Đặt Content-Type là application/json
                    success: function (response) {
                        var toastEl = document.getElementById('myToast');
                        $('.toast-body').empty()
                        $('.toast-body').append('<p class="text-success"> '+response+' </p>')
                        var toast = new bootstrap.Toast(toastEl);
                        toast.show();
                        
                        localStorage.removeItem('cart');
                        displayCart();
                    },
                    error: function (xhr, status, error) {
                        var toastEl = document.getElementById('myToast');
                        $('.toast-body').empty()
                        $('.toast-body').append('<p class="text-danger"> '+xhr.responseText+' </p>')
                        var toast = new bootstrap.Toast(toastEl);
                        toast.show();
                    }
                });
        });

        $(document).ready(function () {
            displayCart();
        });

    </script>
</body>

</html>